org.apache.felix.gogo.jline

## Class Builtin

- java.lang.Object
- - org.apache.felix.gogo.jline.Builtin

    public class Builtin
    extends Object

gosh built-in commands.

### Constructor Summary

Constructors
Constructor and Description
`Builtin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.jline.reader.Candidate>` `__directories(org.apache.felix.service.command.CommandSession session)`
`List<org.jline.reader.Candidate>` `__files(org.apache.felix.service.command.CommandSession session)`
`void` `__usage_completion(org.apache.felix.service.command.CommandSession session, String command)`
`Object` `_new(org.apache.felix.service.command.CommandSession session, Object name, Object[] argv)`
`void` `bg(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `complete(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `fg(org.apache.felix.service.command.CommandSession session, String[] argv)`
`CharSequence` `format(org.apache.felix.service.command.CommandSession session)`
`CharSequence` `format(org.apache.felix.service.command.CommandSession session, Object arg)`
`org.jline.builtins.Options` `getopt(List<Object> spec, Object[] args)` script access to Options.
`void` `history(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `jobs(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `keymap(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `set(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `setopt(org.apache.felix.service.command.CommandSession session, String[] argv)`
`Object` `tac(org.apache.felix.service.command.CommandSession session, String[] argv)`
`boolean` `type(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `unsetopt(org.apache.felix.service.command.CommandSession session, String[] argv)`
`void` `widget(org.apache.felix.service.command.CommandSession session, String[] argv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builtin

    public Builtin()

### Method Detail

#### format

    public CharSequence format(org.apache.felix.service.command.CommandSession session)

#### format

    public CharSequence format(org.apache.felix.service.command.CommandSession session,
                               Object arg)

#### getopt

    public org.jline.builtins.Options getopt(List<Object> spec,
                                             Object[] args)

script access to Options.

#### _new

    public Object _new(org.apache.felix.service.command.CommandSession session,
                       Object name,
                       Object[] argv)
                throws Exception

Throws:
  `Exception`

#### set

    public void set(org.apache.felix.service.command.CommandSession session,
                    String[] argv)

#### tac

    public Object tac(org.apache.felix.service.command.CommandSession session,
                      String[] argv)
               throws IOException

Throws:
  `IOException`

#### type

    public boolean type(org.apache.felix.service.command.CommandSession session,
                        String[] argv)
                 throws Exception

Throws:
  `Exception`

#### jobs

    public void jobs(org.apache.felix.service.command.CommandSession session,
                     String[] argv)

#### fg

    public void fg(org.apache.felix.service.command.CommandSession session,
                   String[] argv)

#### bg

    public void bg(org.apache.felix.service.command.CommandSession session,
                   String[] argv)

#### history

    public void history(org.apache.felix.service.command.CommandSession session,
                        String[] argv)
                 throws Exception

Throws:
  `Exception`

#### complete

    public void complete(org.apache.felix.service.command.CommandSession session,
                         String[] argv)
                  throws Exception

Throws:
  `Exception`

#### widget

    public void widget(org.apache.felix.service.command.CommandSession session,
                       String[] argv)
                throws Exception

Throws:
  `Exception`

#### keymap

    public void keymap(org.apache.felix.service.command.CommandSession session,
                       String[] argv)
                throws Exception

Throws:
  `Exception`

#### setopt

    public void setopt(org.apache.felix.service.command.CommandSession session,
                       String[] argv)
                throws Exception

Throws:
  `Exception`

#### unsetopt

    public void unsetopt(org.apache.felix.service.command.CommandSession session,
                         String[] argv)
                  throws Exception

Throws:
  `Exception`

#### __files

    public List<org.jline.reader.Candidate> __files(org.apache.felix.service.command.CommandSession session)

#### __directories

    public List<org.jline.reader.Candidate> __directories(org.apache.felix.service.command.CommandSession session)

#### __usage_completion

    public void __usage_completion(org.apache.felix.service.command.CommandSession session,
                                   String command)
                            throws Exception

Throws:
  `Exception`